package com.mortals.xhx.module.masterplate.web;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.key.Constant;
import com.mortals.xhx.module.customer.model.CustomerEntity;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignEntity;
import com.mortals.xhx.module.customer.service.CustomerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.masterplate.model.MasterplateUseInfoEntity;
import com.mortals.xhx.module.masterplate.model.MasterplateUseInfoQuery;
import com.mortals.xhx.module.masterplate.service.MasterplateUseInfoService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 模版使用信息
*
* @author zxfei
* @date 2022-06-08
*/
@RestController
@RequestMapping("masterplate/use/info")
public class MasterplateUseInfoController extends BaseCRUDJsonBodyMappingController<MasterplateUseInfoService,MasterplateUseInfoEntity,Long> {

    @Autowired
    private ParamService paramService;
    @Autowired
    private CustomerService customerService;

    public MasterplateUseInfoController(){
        super.setModuleDesc( "模版使用信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @Override
    protected void saveBefore(MasterplateUseInfoEntity entity, Map<String, Object> model, Context context) throws AppException {
        if(this.getCurUser()==null||this.getCurUser().getUserType()!= Constant.CUSTOMER_USER){
            throw new AppException("非法用户,不可访问");
        }
        CustomerEntity customerEntity = customerService.get(this.getCurUser().getId());
        entity.setCustomerId(this.getCurUser().getId());
        entity.setCustomerName(customerEntity.getCustName());
        entity.setCustomerTelphone(customerEntity.getContactTelphone());
        entity.setCustomerOrganization(customerEntity.getOrganization());
    }
}